package de.firstdata.ipg.api.client.action.object;

import de.firstdata.ipg.api.client.action.GetNetworkTokenCryptogram;
import de.firstdata.ipg.api.schema.Action;

/**
 * Class that implements {@link Action#getGetNetworkTokenCryptogram()} to create
 * an incoming API request
 *
 */
public class GetNetworkTokenCryptogramObject extends IPGAPIActionObject implements GetNetworkTokenCryptogram {

	public GetNetworkTokenCryptogramObject() {
		getGetNetworkTokenCryptogram();
	}

	public GetNetworkTokenCryptogramObject(final String hostedDataID, final String storeId) {
		getGetNetworkTokenCryptogram().setHostedDataID(hostedDataID);
		getGetNetworkTokenCryptogram().setStoreId(storeId);
	}

	@Override
	public void setStoreId(final String storeID) {
		getGetNetworkTokenCryptogram().setStoreId(storeID);
	}

	@Override
	public void setHostedDataID(final String hostedDataID) {
		getGetNetworkTokenCryptogram().setHostedDataID(hostedDataID);
	}

	@Override
	public de.firstdata.ipg.api.schema.GetNetworkTokenCryptogram getGetNetworkTokenCryptogram() {
		if (this.getNetworkTokenCryptogram == null) {
			this.getNetworkTokenCryptogram = new de.firstdata.ipg.api.schema.GetNetworkTokenCryptogram();
		}
		return this.getNetworkTokenCryptogram;
	}
}
