package de.firstdata.ipg.api.client.action.object;

import de.firstdata.ipg.api.client.action.InquiryTransaction;

public class InquiryTransactionObject extends IPGAPIActionObject implements InquiryTransaction {

	public InquiryTransactionObject(final String orderID, final String tDate) {
		getInquiryTransaction().setOrderId(orderID);
		getInquiryTransaction().setTDate(tDate);
	}

	@Override
	public void setStoreId(final String storeID) {
		getInquiryTransaction().setStoreId(storeID);
	}

	@Override
	public void setIpgTransactionId(final long ipgTransactionID) {
		getInquiryTransaction().setIpgTransactionId(Long.valueOf(ipgTransactionID));
	}

	@Override
	public void setMerchantTransactionId(final String merchantTransactionID) {
		getInquiryTransaction().setMerchantTransactionId(merchantTransactionID);
	}

	@Override
	public de.firstdata.ipg.api.schema.InquiryTransaction getInquiryTransaction() {
		if (this.inquiryTransaction == null) {
			this.inquiryTransaction = new de.firstdata.ipg.api.schema.InquiryTransaction();
		}
		return this.inquiryTransaction;
	}
}
