package de.firstdata.ipg.api.client.exception;

/**
 * An instance of this class is trown in case of processing your transaction has
 * resulted in an internal system error. Note that you should never receive this
 * exception. However, if so, please contact support.
 *
 * @author Andreas Schmid
 *
 */
public class InternalException extends ServerException {

	private static final long serialVersionUID = 1L;

	/**
	 * creates an instance of this class taking an error description as argument
	 *
	 * @param message
	 *            a string describing the error
	 */
	public InternalException(final String message) {
		super(message);
	}
}
