package de.firstdata.ipg.api.client.transaction.creditcard.setter;

public interface UpopSetter {

	/**
	 * setters for VCODE from UPOP request
	 *
	 * @param value
	 */
	void setVCode(final String value);

	/**
	 * setters for response code value from UPOP Send-SMS response
	 *
	 * @param value
	 */
	void setResponseCode(final String value);

	/**
	 * setters for activate Status from UPOP Verify-Enrollment response
	 *
	 * @param value
	 */
	void setActivateStatus(final String value);
}
