package de.firstdata.ipg.api.client.transaction.cupdomestic;

import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;
import de.firstdata.ipg.api.client.transaction.setter.TransactionDetailsSetter;

public interface CUPDomesticSaleTransaction extends CUPDomesticTransaction, BasketSetter, BillingSetter, TransactionDetailsSetter {

	/**
	 * if not set, registration should get started after ChinaPnR redirection
	 *
	 * @param customerId
	 *            optional CUP customer ID of the payer
	 */
	void setCustomerId(final String customerId);

	/**
	 * @param bankId
	 *            optional CUP online banking bank identifier
	 */
	void setBankId(final String bankId);
}
