package de.firstdata.ipg.api.client.action.catalog.object;

import java.util.List;

import de.firstdata.ipg.api.client.action.catalog.Stock;
import de.firstdata.ipg.api.client.action.object.IPGAPIActionObject;
import de.firstdata.ipg.api.schema.ManageProductStock;
import de.firstdata.ipg.api.schema.ProductStock;

abstract class ProductStockObject extends IPGAPIActionObject implements Stock {

	protected ProductStockObject(final String function) {
		getManageProductStock().setFunction(function);
	}

	@Override
	public void setStoreId(final String storeId) {
		getManageProductStock().setStoreId(storeId);
	}

	protected List<ProductStock> getProductStock() {
		return getManageProductStock().getProductStock();
	}

	@Override
	public ManageProductStock getManageProductStock() {
		if (this.manageProductStock == null) {
			this.manageProductStock = new ManageProductStock();
		}
		return this.manageProductStock;
	}
}
