package de.firstdata.ipg.api.client.action.object;

import javax.annotation.Nonnull;

import de.firstdata.ipg.api.client.action.DeleteBillKey;

public class DeleteBillKeyObject extends IPGAPIActionObject implements DeleteBillKey {

	public DeleteBillKeyObject(@Nonnull final String customerId) {
		getDeleteBillKey().setCustomerId(customerId);
	}

	@Override
	public void setStoreId(final String storeID) {
		getDeleteBillKey().setStoreId(storeID);
	}

	@Override
	public de.firstdata.ipg.api.schema.DeleteBillKey getDeleteBillKey() {
		if (this.deleteBillKey == null) {
			this.deleteBillKey = new de.firstdata.ipg.api.schema.DeleteBillKey();
		}
		return this.deleteBillKey;
	}
}
