package de.firstdata.ipg.api.client.action.object;

import javax.annotation.Nonnull;

import de.firstdata.ipg.api.client.action.DeliveryConfirmation;

public class DeliveryConfirmationObject extends IPGAPIActionObject implements DeliveryConfirmation {

	public DeliveryConfirmationObject(@Nonnull final String orderID, @Nonnull final String tDate) {
		getDeliveryConfirmation().setOrderId(orderID);
		getDeliveryConfirmation().setTDate(tDate);
	}

	public DeliveryConfirmationObject(@Nonnull final Long ipgTransactionId) {
		getDeliveryConfirmation().setIpgTransactionId(ipgTransactionId);
	}

	public DeliveryConfirmationObject(@Nonnull final String merchantTransactionId) {
		getDeliveryConfirmation().setMerchantTransactionId(merchantTransactionId);
	}

	@Override
	public void setStoreId(final String storeID) {
		getDeliveryConfirmation().setStoreId(storeID);
	}

	@Override
	public de.firstdata.ipg.api.schema.DeliveryConfirmation getDeliveryConfirmation() {
		if (this.deliveryConfirmation == null) {
			this.deliveryConfirmation = new de.firstdata.ipg.api.schema.DeliveryConfirmation();
		}
		return this.deliveryConfirmation;
	}
}
