package de.firstdata.ipg.api.client.action.object;

import javax.annotation.Nonnull;

import de.firstdata.ipg.api.client.action.GenerateCashReceipt;

public class GenerateCashReceiptObject extends IPGAPIActionObject implements GenerateCashReceipt {

	public GenerateCashReceiptObject(@Nonnull final String orderID, @Nonnull final String tDate, @Nonnull final String taxIdentifier,
			@Nonnull final String receiptType, @Nonnull final String billType) {
		getGenerateCashReceipt().setOrderId(orderID);
		getGenerateCashReceipt().setTDate(tDate);
		getGenerateCashReceipt().setTaxIdentifier(taxIdentifier);
		getGenerateCashReceipt().setReceiptType(receiptType);
		getGenerateCashReceipt().setBillType(billType);
	}

	public GenerateCashReceiptObject(@Nonnull final Long ipgTransactionId, @Nonnull final String taxIdentifier, @Nonnull final String receiptType,
			@Nonnull final String billType) {
		getGenerateCashReceipt().setIpgTransactionId(ipgTransactionId);
		getGenerateCashReceipt().setTaxIdentifier(taxIdentifier);
		getGenerateCashReceipt().setReceiptType(receiptType);
		getGenerateCashReceipt().setBillType(billType);
	}

	public GenerateCashReceiptObject(@Nonnull final String merchantTransactionId, @Nonnull final String taxIdentifier, @Nonnull final String receiptType,
			@Nonnull final String billType) {
		getGenerateCashReceipt().setMerchantTransactionId(merchantTransactionId);
		getGenerateCashReceipt().setTaxIdentifier(taxIdentifier);
		getGenerateCashReceipt().setReceiptType(receiptType);
		getGenerateCashReceipt().setBillType(billType);
	}

	@Override
	public void setStoreId(final String storeID) {
		getGenerateCashReceipt().setStoreId(storeID);
	}

	@Override
	public de.firstdata.ipg.api.schema.GenerateCashReceipt getGenerateCashReceipt() {
		if (this.generateCashReceipt == null) {
			this.generateCashReceipt = new de.firstdata.ipg.api.schema.GenerateCashReceipt();
		}
		return this.generateCashReceipt;
	}
}
