package de.firstdata.ipg.api.client.action.object;

import java.math.BigDecimal;

import de.firstdata.ipg.api.client.action.RequestMerchantRateForDynamicPricing;

public class RequestMerchantRateForDynamicPricingObject extends IPGAPIActionObject implements RequestMerchantRateForDynamicPricing {

	@Override
	public void setStoreId(final String storeID) {
		getRequestCardRateForDCC().setStoreId(storeID);
	}

	@Override
	public void setBaseAmount(final BigDecimal baseAmount) {
		getRequestMerchantRateForDynamicPricing().setBaseAmount(baseAmount);
	}

	@Override
	public void setForeignCurrency(final String foreignCurrency) {
		getRequestMerchantRateForDynamicPricing().setForeignCurrency(foreignCurrency);

	}

	@Override
	public de.firstdata.ipg.api.schema.RequestMerchantRateForDynamicPricing getRequestMerchantRateForDynamicPricing() {
		if (this.requestMerchantRateForDynamicPricing == null) {
			this.requestMerchantRateForDynamicPricing = new de.firstdata.ipg.api.schema.RequestMerchantRateForDynamicPricing();
		}
		return this.requestMerchantRateForDynamicPricing;
	}
}
