package de.firstdata.ipg.api.client.action.recurringpayment;

import de.firstdata.ipg.api.client.transaction.creditcard.setter.Secure3DSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.UpopSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.WalletSetter;
import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;
import de.firstdata.ipg.api.client.transaction.setter.ShippingSetter;
import de.firstdata.ipg.api.client.transaction.setter.TransactionDetailsSetter;
import de.firstdata.ipg.api.schema.CardFunctionType;

public interface InstallRecurringPayment
		extends RecurringPayment, BasketSetter, BillingSetter, Secure3DSetter, UpopSetter, ShippingSetter, TransactionDetailsSetter, WalletSetter {

	void setComments(final String value);

	void setInstallmentCount(final int value);

	void setCardFunction(final CardFunctionType cardFunction);

}
